# Return current user's cPanel application details

This function retrieves information about the groups and applications in the authenticated user's cPanel interface.

Endpoint: GET /Branding/get_available_applications
Version: 11.137.9999.96
Security: BasicAuth

## Query parameters:

  - `nvarglist` (string)
    A pipe-separated list of group names denoting the order in which to sort the
groups. If you do not supply a value, the function does not sort the groups.

Note:

arglist is an alias for this parameter.
    Example: "pref|software|domains"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_available_applications"

  - `module` (string)
    The name of the module called.
    Example: "Branding"

  - `result` (object)

  - `result.data` (object)

  - `result.data.default_group_order` (object)
    An object that defines the default order of applications in cPanel.
    Example: {"advanced":7,"databases":2,"domains":3,"email":4,"files":1,"metrics":5,"preferences":8,"sample_apps":9,"security":6,"software":6}

  - `result.data.grouporder` (array)
    A list of group IDs, in the order in which the groups appear.
    Example: ["files","databases","domains","email","metrics","security","software","advanced","preferences","pref"]

  - `result.data.groups` (array)
    Information about each group in the cPanel interface.

  - `result.data.groups.desc` (string)
    The group's description.
    Example: "Files"

  - `result.data.groups.group` (string)
    The group's ID.
    Example: "files"

  - `result.data.groups.items` (array)
    The groups and their application details.
    Example: [{"acontent":"target=\"file_manager\"","base64_png_image":"","feature":"filemanager","file":"file_manager","group":"files","height":"48","if":"$HASROLE{'FileStorage'}","imgtype":"icon","implements":"FileManager_Home","itemdesc":"File Manager","itemorder":"1","key":"file_manager","onclick":"","plainitemdesc":"File Manager","searchtext":"File Manager file-manager","subtype":"img","target":"file_manager","type":"image","url":"filemanager/index.html","width":"48"}]

  - `result.data.groups.items.acontent` (string)
    The content of a tag in the application's link.
    Example: "target=\"file_manager\""

  - `result.data.groups.items.base64_png_image` (string)
    The application's icon in Base64 format.

  - `result.data.groups.items.feature` (string)
    A feature name. The icon only displays if the cPanel user can access this feature.
    Example: "filemanager"

  - `result.data.groups.items.file` (string)
    The application's icon's filename.
    Example: "file_manager"

  - `result.data.groups.items.group` (string)
    The item's group.
    Example: "files"

  - `result.data.groups.items.height` (string)
    The application icon height, in pixels.
    Example: "48"

  - `result.data.groups.items.if` (string)
    An expression containing cPanel variables that determine whether
to display the item. The function only returns this value if
any variables exist.

For example, $isreseller indicates that the item only
displays for reseller accounts.

For more information, read our
[Guide to cPanel Variables documentation](https://go.cpanel.net/guidetovariables).
    Example: "$HASROLE{'FileStorage'}"

  - `result.data.groups.items.imgtype` (string)
    The item's image type.

icon is the only possible value.
    Enum: "icon"

  - `result.data.groups.items.implements` (string)
    The implements name of the application. WHM API 1's create_user_session and get_users_links functions use this value.
    Example: "FileManager_Home"

  - `result.data.groups.items.itemdesc` (string)
    The application's display name.
    Example: "File Manager"

  - `result.data.groups.items.itemorder` (string)
    The application's order in the dynamicui.conf file. This value represents the application's display order in cPanel's Home interface.
    Example: "1"

  - `result.data.groups.items.module` (string)
    The Perl module that the application requires.
    Example: "My::Module"

  - `result.data.groups.items.onclick` (string)
    JavaScript function that the browser calls before or instead of URL navigation.
    Example: "function"

  - `result.data.groups.items.searchtext` (string)
    One or more space-separated search terms.  The icon will display when users enter these search terms in the Quick Find text box in the cPanel interface.
    Example: "File Manager file-manager"

  - `result.data.groups.items.subtype` (string)
    The item's subtype.

img is the only possible value.
    Enum: "img"

  - `result.data.groups.items.target` (string)
    The target of the application's link.
    Example: "file_manager"

  - `result.data.groups.items.touch` (string)
    Conditional arguments that determine whether to display the item, if a specified touch file exists.
    Example: "ftp"

  - `result.data.groups.items.type` (string)
    The application's type.

image is the only possible value.
    Enum: "image"

  - `result.data.groups.items.url` (string)
    The path to which the application's icon links.
    Example: "filemanager/index.html"

  - `result.data.groups.items.width` (string)
    The application's icon's width, in pixels.
    Example: "48"

  - `result.data.implements` (object)
    An object mapping the implements names to Appkey values for applications in cPanel.

For example, use this mapping to determine that the implements
value SSL_TLS_Status maps to the Appkey value tls_status.

Note:

* The Appkey for an application can be found in the key attribute elsewhere in the API response.
* The implements for an application can be found in the implements attribute elsewhere in the API response.
* For more information about Appkey values, read our [Guide to cPanel Interface Customization - Appkeys](https://go.cpanel.net/paper-lantern-theme-guide-to-cpanel-interface-customization-appkeys) documentation.
    Example: {"API_Tokens_Manager":"api_tokens","Backups_Home":"backup","Calendar_Configure":"calendar_and_contacts","ContactInfo_Change":"contact_information","Cron_Home":"cron_jobs","Database_MySQL":"mysql_databases","Database_phpMyAdmin":"php_my_admin","Domains_AddonDomains":"addon_domains","Domains_SubDomains":"subdomains","Email_AccountLevelFiltering":"global_email_filters","Email_Accounts":"email_accounts","Email_Authentication":"email_deliverability","Email_AutoResponders":"autoresponders","Email_BoxTrapper":"boxtrapper","Email_DefaultAddress":"default_address","Email_DeliveryReport":"track_delivery","Email_Disk_Usage":"email_disk_usage","Email_Forwarders":"forwarders","Email_MailingLists":"mailing_lists","Email_Routing":"email_routing","Email_SpamFilter":"apache_spam_assassin","Email_UserLevelFiltering":"email_filters","FileManager_Home":"file_manager","Locale_Change":"change_language","Password_Change":"change_password","SSL_TLS_Manager":"ssl_tls","SSL_TLS_Status":"tls_status","Site_Software":"site_software","Stats_AWStats":"awstats"}

  - `result.data.index` (object)
    The applications and the order in which they appear in the cPanel interface.
    Example: {"addon_domains":[2,2],"address_importer":[3,10],"aliases":[2,4],"analog_stats":[4,5],"apache_handlers":[7,5],"apache_spam_assassin":[3,11],"api_tokens":[5,3],"autoresponders":[3,3],"awstats":[4,4],"backup":[0,5],"backup_wizard":[0,6],"bandwidth":[4,2],"boxtrapper":[3,13],"calendar_and_contacts":[3,14],"change_language":[8,1],"change_password":[8,0],"change_style":[8,2],"contact_information":[8,3],"cron_jobs":[7,1],"default_address":[3,4],"directory_privacy":[0,2],"disk_usage":[0,3],"domains":[2,1],"email_accounts":[3,0],"email_deliverability":[3,9],"email_disk_usage":[3,15],"email_filters":[3,8],"email_routing":[3,2],"encryption":[3,12],"error_pages":[7,4],"errors":[4,1],"file_manager":[0,0],"forwarders":[3,1],"global_email_filters":[3,7],"hotlink_protection":[5,4],"images":[0,1],"indexes":[7,3],"ip_blocker":[5,1],"leech_protection":[5,5],"mailing_lists":[3,5],"metrics_editor":[4,7],"mime_types":[7,6],"multiphp_ini_editor":[6,5],"multiphp_manager":[6,4],"mysql_database_wizard":[1,2],"mysql_databases":[1,1],"optimize_website":[6,3],"perl_modules":[6,1],"php_my_admin":[1,0],"php_pear_packages":[6,0],"raw_access":[4,3],"redirects":[2,5],"remote_mysql":[1,3],"site_publisher":[2,0],"site_software":[6,2],"ssh_access":[5,0],"ssl_tls":[5,2],"subdomains":[2,3],"terminal":[7,0],"tls_status":[5,6],"track_delivery":[3,6],"track_dns":[7,2],"user_manager":[8,4],"version_control":[0,7],"visitors":[4,0],"web_disk":[0,4],"webalizer":[4,6],"zone_editor":[2,6]}

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


